package com.loafle.overflow.module.domain.service;

import java.util.List;

import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.domain.model.DomainMember;
import com.loafle.overflow.module.member.model.Member;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface DomainMemberService {
  void regist(DomainMember domainMember) throws OverflowException;
  Domain readDomainByMemberID(long id) throws OverflowException;
  DomainMember readByMemberEmail(String email) throws OverflowException;
  List<Member> readAllMemberByDomain(Domain domain) throws OverflowException;
  List<Member> readAllMemberByDomainID(final long domainID) throws OverflowException;
}
