package com.loafle.overflow.module.member.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.member.model.MemberTotp;
import java.util.Map;

/**
 * Created by geek on 18. 3. 8.
 */
public interface MemberTotpService {
    @WebappAPI
    void  regist(Member member, String secretCode, String code) throws OverflowException;
    @WebappAPI
    MemberTotp modify(MemberTotp totp) throws OverflowException;
    @WebappAPI
    void remove(long id) throws OverflowException;
    @WebappAPI
    MemberTotp read(long id) throws OverflowException;
    @WebappAPI
    boolean checkCodeForMember(Member member, String code) throws OverflowException;
    @WebappAPI
    boolean checkCode(String secretCode, String code) throws OverflowException;
    @WebappAPI
    Map<String, String> createTotp(Member member) throws OverflowException;
}
