package com.loafle.overflow.module.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by insanity on 17. 9. 19.
 */
@Entity
@Table(name = "META_SENSOR_ITEM_UNIT", schema = "public")
public class MetaSensorItemUnit {
    private short id;
    private String unit;
    private Date createDate;
    private String mark;

    @Id
    public short getId() {
        return id;
    }

    public void setId(short id) {
        this.id = id;
    }

    @Column(name = "UNIT", nullable = false)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Column(name = "MARK", nullable = false)
    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }
}
