package com.loafle.overflow.module.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_SENSOR_ITEM", schema = "public")
public class MetaSensorItem {
    private int id;
    private MetaSensorItemType itemType;
    private String key;
    private String name;
    private Date createDate;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


//    @Column(name = "TYPE_ID", nullable = false)
//    public short getTypeId() {
//        return typeId;
//    }
//
//    public void setTypeId(short typeId) {
//        this.typeId = typeId;
//    }

    @ManyToOne
    @JoinColumn(name = "TYPE_ID", nullable = false)
    public MetaSensorItemType getItemType() {
        return itemType;
    }

    public void setItemType(MetaSensorItemType itemType) {
        this.itemType = itemType;
    }

    @Column(name = "KEY", nullable = true, length = 100)
    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    @Column(name = "NAME", nullable = true, length = 100)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
