package com.loafle.overflow.module.noauthprobe.service;

import com.loafle.overflow.module.core.annotation.ProbeAPI;
import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.noauthprobe.model.NoAuthProbe;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
public interface NoAuthProbeService {
    @ProbeAPI
    NoAuthProbe regist(NoAuthProbe noAuthProbe) throws OverflowException;

    @WebappAPI
    List<NoAuthProbe> readAllByDomain(Domain domain) throws OverflowException;
    @WebappAPI
    List<NoAuthProbe> acceptNoAuthProbe(NoAuthProbe noAuthProbe) throws OverflowException;
    @WebappAPI
    List<NoAuthProbe> denyNoauthProbe(NoAuthProbe noAuthProbe) throws OverflowException;
}
